<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <li class="m-dropdown m-dropdown--align-right m-nav__item nt-dropdown-usage" m-dropdown-toggle="click">
    <a href="#" class="m-dropdown__toggle" @click.prevent="getActiveTeamAddons()">
      <span>
        <i class="icon icon-pie-chart"></i>
      </span>
    </a>
    <div class="m-dropdown__wrapper">
      <div class="m-dropdown__inner">
        <div class="m-dropdown__body p-0">
          <div class="header d-flex align-items-center justify-content-between">
            Thống kê sử dụng
            <!-- <i class="icon icon-cancel" @click="onClose"></i> -->
          </div>
          <div class="tab-header d-flex align-items-center">
            <div
              class="d-flex align-items-center tab-header_item"
              :class="{ 'active': selectedPackage === packageNames.feature }"
              @click="selectedPackage = packageNames.feature"
            >
              <i class="icon icon-puzzle"></i>
              Gói tính năng
            </div>
            <div
              class="d-flex align-items-center tab-header_item"
              :class="{ 'active': selectedPackage === packageNames.upgrade }"
              @click="selectedPackage = packageNames.upgrade"
            >
              <i class="icon icon-rising"></i>
              Gói nâng cấp
            </div>
          </div>
          <div
            class="tab-content position-relative nt-scroll-primary"
            v-if="selectedPackage === packageNames.feature"
          >
            <Loading :is_loader="isLoading" v-if="isLoading" />
            <NoResults
              icon="icon icon-settings"
              message="Chưa có gói tính năng"
              v-if="!isLoading && !addonPackages.length"
              style="padding: 20px 0;"
            />
            <div
              class="tab-content_item d-flex align-items-start"
              v-for="(item, index) in addonPackages"
              :key="index"
            >
              <img :src="item.logo_url + '.png'" />
              <div style="margin-right: 15px">
                <div class="item-name">{{ item.name }}</div>
                <div class="item-desc">
                  Thời hạn:
                  <span
                    class="item-desc-hightlight"
                    v-if="item.start_date && item.end_date"
                  >{{ getDuration(item.start_date, item.end_date) }}</span>
                  <span class="item-desc-hightlight" v-else>Vô thời hạn</span>
                </div>
                <div class="item-desc" v-if="item.end_date">
                  Thời gian còn lại:
                  <span
                    class="item-desc-hightlight"
                    v-html="getDurationLeft(item.end_date)"
                  ></span>
                </div>
                <div class="item-desc" v-if="item.end_date">
                  Ngày gia hạn dự kiến:
                  <span
                    class="item-desc-hightlight"
                  >{{ item.end_date | formatDateTime }}</span>
                </div>
              </div>
              <PermissionCheck :query="{ upgrade_package: false }" />
            </div>
          </div>
          <div
            class="tab-content nt-scroll-primary"
            v-if="selectedPackage === packageNames.upgrade"
          >
            <NoResults
              icon="icon icon-settings"
              message="Chưa có gói tính năng"
              v-if="!isLoading && !upgradePackages.length"
              style="padding: 20px 0;"
            />
            <div
              class="tab-content_item d-flex align-items-start position-relative"
              v-for="(item, index) in upgradePackages"
              :key="index"
            >
              <Loading :is_loader="item.isLoading" v-if="item.isLoading" />
              <img :src="item.logo_url" />
              <div style="margin-right: 15px">
                <div class="item-name">{{ item.name }}</div>
                <div class="item-desc">
                  Đã sử dụng:
                  <span
                    class="item-desc-hightlight"
                    :class="{ 'fully': item.numberOfUsed === item.value }"
                  >
                    {{ item.numberOfUsed }}
                    <!-- <template v-if="item.value">/{{ item.value }}</template> -->
                  </span>
                </div>
                <div class="item-desc">
                  Thời hạn:
                  <span
                    class="item-desc-hightlight"
                    v-if="item.start_date && item.end_date"
                  >{{ getDuration(item.start_date, item.end_date) }}</span>
                  <span class="item-desc-hightlight" v-else>Vô thời hạn</span>
                </div>
                <div class="item-desc" v-if="item.end_date">
                  Thời gian còn lại:
                  <span
                    class="item-desc-hightlight"
                    v-html="getDurationLeft(item.end_date)"
                  ></span>
                </div>
                <div class="item-desc" v-if="item.end_date">
                  Ngày gia hạn dự kiến:
                  <span
                    class="item-desc-hightlight"
                  >{{ item.end_date | formatDateTime }}</span>
                </div>
              </div>
              <PermissionCheck :query="{ upgrade_package: true }" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </li>
</template>
